> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/custom-apps-documentation/component-blocks/api/handling-responses.md).

# Handling responses

## Response specification

Below is a list of directives controlling the processing of the response. When used, they must be placed inside the `response` collection.

<table><thead><tr><th width="131">Key</th><th width="193.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>String or type specification</td><td>Specifies how data is parsed from the body.</td></tr><tr><td><code>valid</code></td><td>IML string or object</td><td>An expression that parses whether the response is valid or not.</td></tr><tr><td><code>error</code></td><td>IML string or rrror specification</td><td>Specifies how the error is shown to the user, if it occurs.</td></tr><tr><td><code>limit</code></td><td>IML string or number</td><td>Controls the maximum number of returned items by the module.</td></tr><tr><td><code>iterate</code></td><td>IML string or iterate specification</td><td>Specifies how response items are retrieved and processed, in case of multiple.</td></tr><tr><td><code>temp</code></td><td>IML object</td><td>Creates/updates variable <code>temp</code> which you can access in subsequent requests.</td></tr><tr><td><code>output</code></td><td>Any IML type</td><td>Describes the structure of the output bundle.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/custom-apps-documentation/component-blocks/api/handling-responses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
